package com.usky.eg.service;

import com.usky.eg.domain.EgDeviceHeartbeat;
import com.usky.common.mybatis.core.CrudService;

/**
 * <p>
 * 门禁设备心跳表 服务类
 * </p>
 *
 * @author fhs
 * @since 2026-02-03
 */
public interface EgDeviceHeartbeatService extends CrudService<EgDeviceHeartbeat> {

    void heartbeatEscalation(EgDeviceHeartbeat heartbeat);

    void updateEgDeviceStatus();
}
